{% extends 'base_fullwidth_leaflet.html' %}
{% load i18n %}
{% block title%}{{title}} {% endblock %} {% block content%}
<div id="studyList">
  <h1>
    <span class="pull-right label label-success">[[studyList.length]] études</span>
    <i class="{{ icon | safe }}"></i> {{ title | safe }} {{object.name}}
  </h1>
  <div class="row">
    <div class="col col-sm-12 col-md-3 col-lg-2">
      <div class="panel">
        <div class="panel-body">
          <h3><i class="fa fa-search fa-fw"></i>Rechercher</h3>
          <form>
            <div class="form-group">
              <label for="searchName">Nom</label>
              <input class="form-control" id="searchName" type="text" placeholder="Nom" v-model="search.name">
            </div>
            <div class="form-group">
              <label for="searchYear">Année</label>
              <input class="form-control" id="searchYear" type="text" placeholder="Année" v-model="search.year">
            </div>
            <div class="form-group">
              <label for="searchManager">Responsable</label>
              <input class="form-control" id="searchManager" type="text" placeholder="Responsable"
                v-model="search.manager">
            </div>
            <div class="form-group">
              <label for="searchTypeEtude">Type d'étude</label>
              <input class="form-control" id="searchTypeEtude" type="text" placeholder="Type d'étude"
                v-model="search.type_etude">
            </div>
            <div class="form-group">
              <label for="searchTypeArea">Type d'espace</label>
              <input class="form-control" id="searchTypeArea" type="text" placeholder="Type d'espace"
                v-model="search.type_espace">
            </div>
            <div class="checkbox">
              <label>
                <input type="checkbox" v-model="search.public_funding"> Financement publique
              </label>
            </div>
            <div class="checkbox">
              <label>
                <input type="checkbox" v-model="search.public_report"> Rapport rendu publique
              </label>
            </div>
            <div class="checkbox">
              <label>
                <input type="checkbox" v-model="search.public_raw_data"> Donnée brute publique
              </label>
            </div>
            <div class="checkbox">
              <label>
                <input type="checkbox" v-model="search.confidential"> Confidentiel
              </label>
            </div>
            <div class="checkbox">
              <label>
                <input type="checkbox" v-model="search.myStudies"> Mes études
              </label>
            </div>
          </form>
        </div>
      </div>
    </div>
    <div class="col col-sm-12 col-md-9 col-lg-10">
      <div class="list-group scroll-y-auto study-data-panel">
        <div class="list-group-item" v-for="(s, i) in studyList">
          <h4 class="list-group-item-heading">
            <span class="text-success">[[s.year ? s.year : '-']]</span> -
            <a :href="`/study/${s.id_study}/detail`" target="_blank" title="Voir la fiche de l'étude">[[s.name]]</a>
          </h4>
          <span class="text-muted">Créé le [[new Date(s.timestamp_create).toLocaleDateString()]][[s.timestamp_update ?
            `, mis à jour le
            ${new Date(s.timestamp_update).toLocaleDateString()}`:'']].</span>
          <div class="list-group-item-text row ">
            <div class="col col-md-6">
              <dl class="dl-horizontal">
                <dt>Identifiant unique</dt>
                <dd><code>[[s.uuid]]</code></dd>
                <dt>Nom</dt>
                <dd>[[s.name]]</dd>
                <dt>Année</dt>
                <dd>[[s.year]]</dd>
                <dt>Responsable</dt>
                <dd>[[s.project_manager?.get_full_name || '-']]</dd>
                <dt>Type d'étude</dt>
                <dd>[[s.type_etude]]</dd>
                <dt>Type d'espace</dt>
                <dd>[[s.type_espace]]</dd>
              </dl>
            </div>

            <div class="col col-md-6">
              <dl class="dl-horizontal">
                <dt>Financement publique</dt>
                <dd>
                  <span class="label" :class="s.public_funding? 'label-success':'label-default'">[[s.public_funding?
                    'Oui':'Non']]</span>
                </dd>
                <dt>Rapport rendu publique</dt>
                <dd>
                  <span class="label" :class="s.public_report? 'label-success':'label-default'">[[s.public_report?
                    'Oui':'Non']]</span>
                </dd>
                <dt>Donnée brute publique</dt>
                <dd>
                  <span class="label" :class="s.public_raw_data? 'label-success':'label-default'">[[s.public_raw_data?
                    'Oui':'Non']]</span>
                </dd>
                <dt>Confidentiel</dt>
                <dd>
                  <span class="label" :class="s.confidential? 'label-danger':'label-default'">[[s.confidential?
                    'Oui':'Non']]</span>
                </dd>
              </dl>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<script>
  const myId = parseInt("{{user.id}}")
  $(document).ready(() => {
    const vm = new Vue(studyListApp(myId))
  })

</script>

{% endblock %}
